### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-timeline/ecl-timeline-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `ecl-timeline-item`
styles | `ecl-timeline-item { display: list-item; }`
templateUrl | `ecl-timeline-item.component.html`

### Index

###### Properties
destroy$ timelineItemToggler
###### Methods
hasDefaultToggler onTogglerClick getCssClasses
###### Inputs
eclTitle isCollapsed isToggler isTogglerExpanded label toggleButtonLabel toggleGroup class e2eAttr
###### Outputs
toggle
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

eclTitle
Type : `string`

isCollapsed
Type : `boolean`
Default value : `false`

isToggler
Type : `boolean`
Default value : `false`

isTogglerExpanded
Type : `boolean | any`
Default value : `false`

label
Type : `string`

toggleButtonLabel
Type : `string`

toggleGroup
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

toggle
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

hasDefaultToggler
`hasDefaultToggler()`
Returns : `boolean`

onTogglerClick
`onTogglerClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

destroy$
Type : `Subject<boolean>`
Default value : `new Subject<boolean>()`

timelineItemToggler
Type : `EclTimelineItemTogglerComponent`
Decorators : `@ContentChild(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""